# Generated from qalam_lti_provider_engine-2.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name qalam_lti_provider_engine

Name: rubygem-%{gem_name}
Version: 2.1.0
Release: 1%{?dist}
Summary: LtiProvider is a mountable engine for handling the LTI launch and exposing LTI parameters in your rails app
License: MIT
URL: https://github.com/ahmedhamid13/qalam_lti_provider
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(nokogiri)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rspec-its)
# BuildRequires: rubygem(rspec-rails)
# BuildRequires: rubygem(rspec-rails-mocha)
# BuildRequires: rubygem(shoulda-matchers)
# BuildRequires: rubygem(webmock)
# BuildRequires: rubygem(debugger)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(rb-fsevent)
# BuildRequires: rubygem(byebug)
# BuildRequires: rubygem(listen) >= 3.0.6
# BuildRequires: rubygem(listen) < 3.1
BuildArch: noarch

%description
LtiProvider is a mountable engine for handling the LTI launch and exposing LTI
parameters in your rails app.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_instdir}/db
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Tue Sep 14 2021 mockbuilder - 2.1.0-1
- Initial package
